Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Environment
Created: 2009-06-03 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: CLI logs end up in the Web folder due to bug in Utility\Environment
Description

CLI logs end up in the same folder as Web logs, due to a bug introduced with r2525 (which fixed #3535).

History
#1 - 2009-06-03 14:12 - Tim Eilers

Found the Bug, but you have to invent the solution ;)

The Problem is, that the constructor of the Enviroment class calls $this->getSAPIType. In $this->getSAPIType the content of the membervar
$this->SAPIName is used. But that content is set with initializeObject. Since you use "new" and not the Object Framework in the FLOW3 basic class
the initializeObject method is not called at this point. So $this->SAPIName is empty and the switch in $this->getSAPIType defaults to Web.

#2 - 2009-06-04 00:03 - Karsten Dambekalns

Tim Eilers wrote:

Found the Bug, but you have to invent the solution ;)

Heh, I found the bug when having a beer with Robert after the release :) We figured it would still work for most people, as the logfiles are created 777,
and decided to fix this for the next alpha.

Solution has been invented and committed...

#3 - 2009-06-04 14:39 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Fixed as of r2564.
